Subject: Re: bug#72034: 29.3; python-ts-mode navigation fails

From: Tim Loderhose <[email-masked]>
Date: Mon, 15 Jul 2024 09:54:05 +0000

I just built the latest emacs-30, and indeed the problem appears to be fixed there!

On Wednesday, July 10th, 2024 at 2:13 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Wed, 10 Jul 2024 09:45:01 +0000
> > From:
> > 
> > Tim
> > 
> > Loderhose [email-masked]
> > 
> > python-nav-forward-defun doesn't work properly in python-ts-mode, for
> > example with this file:
> > https://raw.githubusercontent.com/timlod/onset-fingerprinting/6c8f9bd3b82398c9af3519036e0d5a550ad3bae7/onset_fingerprinting/data.py
> > 
> > Specifically, at some point it will stop navigating, even though there
> > are still function definitions to traverse (other times I saw it skipped
> > some definitions before stopping altogether). I noticed that this
> > usually happens after some point in the buffer, but I haven't been able
> > to nail it down exactly. My hunch is that it could be related to
> > decorators (e.g. @classmethod) or type hints, or both.
> 
> 
> I can reproduce this in Emacs 29, but not on the current emacs-30
> release branch, which will eventually become Emacs 30. So I guess we
> already fixed that meanwhile. Can you try building the development
> code of Emacs and see if the problem goes away?
> 
> Thanks.